For the complete documentation index, see llms.txt. This page is also available as Markdown.

Permissions

Introduction

Permissions and the belonging IDs are needed to setup the Permissions of each Role. Use the "List" route to get the Permission_ids for further usage in Create and Update calls of Roles.

List

Get a list of all Permissions.

Definition

GET /api/permissions

Example Request

$client = new GuzzleHttp\Client(['base_uri' => 'https://{tenant}.intratool.de']);
$response = $client->request('GET', '/api/permissions', [
    'headers' => ['Authorization' => "Bearer {accessToken}"]
]);

Example Response

[
    {
        "id": 12,
        "type": "infoboard",
        "name": "infoboard-show",
        "description": "Infoboard anzeigen",
        "sort_number": 1
    },
    {
        "id": 1,
        "type": "infoboard",
        "name": "infoboard-administration-rights",
        "description": "Administrationsrechte",
        "sort_number": 2
    },
    ...
]

Last updated